searchNodes=[{"ref":"PCA9641.html","title":"PCA9641","type":"module","doc":"PCA9641 Driver for Elixir using ElixirALE. Usage: Add your devices to your config like so: config :PCA9641, devices: [ %{bus: &quot;i2c-1&quot;, address: 0x70, interrupt_pin: 7} ] Then use the functions in [PCA9641.Device] to interract with the chip."},{"ref":"PCA9641.html#connect/1","title":"PCA9641.connect/1","type":"function","doc":"Connect to an PCA9641 device."},{"ref":"PCA9641.html#disconnect/1","title":"PCA9641.disconnect/1","type":"function","doc":"Disconnect an PCA9641 device."},{"ref":"PCA9641.Commands.html","title":"PCA9641.Commands","type":"module","doc":"Wrapper around the Registers module to handle sending commands to and from the device."},{"ref":"PCA9641.Commands.html#abandon_downstream_bus/1","title":"PCA9641.Commands.abandon_downstream_bus/1","type":"function","doc":"Abandon access to the downstream bus."},{"ref":"PCA9641.Commands.html#bus_connect/2","title":"PCA9641.Commands.bus_connect/2","type":"function","doc":"BUS_CONNECT Connectivity between master and downstream bus; the internal switch connects I2C-bus from master to downstream bus only if LOCK_GRANT = 1. false -&gt; Do not connect I2C-bus from master to downstream bus. true -&gt; Connect downstream bus; the internal switch is closed only if LOCK_GRANT = 1."},{"ref":"PCA9641.Commands.html#bus_connect?/1","title":"PCA9641.Commands.bus_connect?/1","type":"function","doc":"BUS_CONNECT Connectivity between master and downstream bus; the internal switch connects I2C-bus from master to downstream bus only if LOCK_GRANT = 1. false -&gt; Do not connect I2C-bus from master to downstream bus. true -&gt; Connect downstream bus; the internal switch is closed only if LOCK_GRANT = 1."},{"ref":"PCA9641.Commands.html#bus_hung?/1","title":"PCA9641.Commands.bus_hung?/1","type":"function","doc":"BUS_HUNG This is a read-only status register bit. If this register bit is ‘0’, it indicates the bus is in normal condition. If this bit is ‘1’, it indicates the bus is hung. The hung bus means SDA signal is LOW and SCL signal does not toggle for more than 500 ms or SCL is LOW for 500 ms. false -&gt; Normal operation. true -&gt; Downstream bus hung; when SDA signal is LOW and SCL signal does not toggle for more than 500 ms or SCL is LOW for 500 ms."},{"ref":"PCA9641.Commands.html#bus_hung_interrupt/2","title":"PCA9641.Commands.bus_hung_interrupt/2","type":"function","doc":"BUS_HUNG_INT Indicates to both masters that SDA signal is LOW and SCL signal does not toggle for more than 500 ms or SCL is LOW for 500 ms. false -&gt; No interrupt generated; normal operation. true -&gt; Interrupt generated; downstream bus cannot recover; when SDA signal is LOW and SCL signal does not toggle for more than 500 ms or SCL is LOW for 500 ms,"},{"ref":"PCA9641.Commands.html#bus_hung_interrupt?/1","title":"PCA9641.Commands.bus_hung_interrupt?/1","type":"function","doc":"BUS_HUNG_INT Indicates to both masters that SDA signal is LOW and SCL signal does not toggle for more than 500 ms or SCL is LOW for 500 ms. false -&gt; No interrupt generated; normal operation. true -&gt; Interrupt generated; downstream bus cannot recover; when SDA signal is LOW and SCL signal does not toggle for more than 500 ms or SCL is LOW for 500 ms,"},{"ref":"PCA9641.Commands.html#bus_hung_mask?/1","title":"PCA9641.Commands.bus_hung_mask?/1","type":"function","doc":"BUS_HUNG_MSK false -&gt; Enable output interrupt when BUS_HUNG function is set. true -&gt; Disable output interrupt when BUS_HUNG function is set."},{"ref":"PCA9641.Commands.html#bus_init/2","title":"PCA9641.Commands.bus_init/2","type":"function","doc":"BUS_INIT Bus initialization for PCA9641 sends one clock out and checks SDA signal. If SDA is HIGH, PCA9641 sends a ‘not acknowledge’ and a STOP condition. The BUS_INIT function is completed. If SDA is LOW, PCA9641 sends other clock out and checks SDA again. The PCA9641 will send out 9 clocks (maximum), and if SDA is still LOW, PCA9641 determines the bus initialization has failed. false -&gt; Normal operation. true -&gt; Start initialization on next bus connect function to downstream bus."},{"ref":"PCA9641.Commands.html#bus_init?/1","title":"PCA9641.Commands.bus_init?/1","type":"function","doc":"BUS_INIT Bus initialization for PCA9641 sends one clock out and checks SDA signal. If SDA is HIGH, PCA9641 sends a ‘not acknowledge’ and a STOP condition. The BUS_INIT function is completed. If SDA is LOW, PCA9641 sends other clock out and checks SDA again. The PCA9641 will send out 9 clocks (maximum), and if SDA is still LOW, PCA9641 determines the bus initialization has failed. false -&gt; Normal operation. true -&gt; Start initialization on next bus connect function to downstream bus."},{"ref":"PCA9641.Commands.html#bus_initialisation_failed?/1","title":"PCA9641.Commands.bus_initialisation_failed?/1","type":"function","doc":"BUS_INIT_FAIL This is a read-only status register bit. If this register bit is ‘0’, it indicates the bus initialization function has passed. The downstream bus is in idle mode (SCL and SDA are HIGH). If this register bit is ‘1’, it indicates the bus initialization function has failed. The SDA signal could be stuck LOW. false -&gt; Normal operation. true -&gt; Bus initialization has failed. SDA still LOW, the downstream bus cannot recover."},{"ref":"PCA9641.Commands.html#bus_lost_interrupt/2","title":"PCA9641.Commands.bus_lost_interrupt/2","type":"function","doc":"BUS_LOST_INT Indicates the master has involuntarily lost the ownership of the downstream bus. false -&gt; No interrupt generated; this master is controlling the downstream bus. true -&gt; Interrupt generated; this master has involuntarily lost the control of the downstream bus."},{"ref":"PCA9641.Commands.html#bus_lost_interrupt?/1","title":"PCA9641.Commands.bus_lost_interrupt?/1","type":"function","doc":"BUS_LOST_INT Indicates the master has involuntarily lost the ownership of the downstream bus. false -&gt; No interrupt generated; this master is controlling the downstream bus. true -&gt; Interrupt generated; this master has involuntarily lost the control of the downstream bus."},{"ref":"PCA9641.Commands.html#bus_lost_mask/2","title":"PCA9641.Commands.bus_lost_mask/2","type":"function","doc":"BUS_LOST_MSK false -&gt; Enable output interrupt when BUS_LOST function is set. true -&gt; Disable output interrupt when BUS_LOST function is set."},{"ref":"PCA9641.Commands.html#bus_lost_mask?/1","title":"PCA9641.Commands.bus_lost_mask?/1","type":"function","doc":"BUS_LOST_MSK false -&gt; Enable output interrupt when BUS_LOST function is set. true -&gt; Disable output interrupt when BUS_LOST function is set."},{"ref":"PCA9641.Commands.html#downstream_disconnect_on_timeout/2","title":"PCA9641.Commands.downstream_disconnect_on_timeout/2","type":"function","doc":"SMBUS_DIS When PCA9641 detects an SMBus time-out, if this bit is set, PCA9641 will disconnect I2C-bus from master to downstream bus. false -&gt; Normal operation. true -&gt; Connectivity between master and downstream bus will be disconnected upon detecting an SMBus time-out condition."},{"ref":"PCA9641.Commands.html#downstream_disconnect_on_timeout?/1","title":"PCA9641.Commands.downstream_disconnect_on_timeout?/1","type":"function","doc":"SMBUS_DIS When PCA9641 detects an SMBus time-out, if this bit is set, PCA9641 will disconnect I2C-bus from master to downstream bus. false -&gt; Normal operation. true -&gt; Connectivity between master and downstream bus will be disconnected upon detecting an SMBus time-out condition."},{"ref":"PCA9641.Commands.html#id/1","title":"PCA9641.Commands.id/1","type":"function","doc":"Retrieve the device ID. For PCA9641 this should be 0x38."},{"ref":"PCA9641.Commands.html#idle_timer_disconnect/2","title":"PCA9641.Commands.idle_timer_disconnect/2","type":"function","doc":"IDLE_TIMER_DIS After RES_TIME is expired, I2C-bus idle for more than 100 ms, PCA9641 will disconnect master from downstream bus and takes away its grant if this register bit is enabled. This IDLE_TIMER_DIS function also applies when there is a grant of a request with zero value on RES_TIME. false -&gt; Normal operation. true -&gt; Enable 100 ms idle timer. After reserve timer expires or if reserve timer is disabled, if the downstream bus is idle for more than 100 ms, the connection between master and downstream bus will be disconnected."},{"ref":"PCA9641.Commands.html#idle_timer_disconnect?/1","title":"PCA9641.Commands.idle_timer_disconnect?/1","type":"function","doc":"IDLE_TIMER_DIS After RES_TIME is expired, I2C-bus idle for more than 100 ms, PCA9641 will disconnect master from downstream bus and takes away its grant if this register bit is enabled. This IDLE_TIMER_DIS function also applies when there is a grant of a request with zero value on RES_TIME. false -&gt; Normal operation. true -&gt; Enable 100 ms idle timer. After reserve timer expires or if reserve timer is disabled, if the downstream bus is idle for more than 100 ms, the connection between master and downstream bus will be disconnected."},{"ref":"PCA9641.Commands.html#int_in_mask/2","title":"PCA9641.Commands.int_in_mask/2","type":"function","doc":"INT_IN_MSK false -&gt; Enable output interrupt when INT_IN function is set. true -&gt; Disable output interrupt when INT_IN function is set."},{"ref":"PCA9641.Commands.html#int_in_mask?/1","title":"PCA9641.Commands.int_in_mask?/1","type":"function","doc":"INT_IN_MSK false -&gt; Enable output interrupt when INT_IN function is set. true -&gt; Disable output interrupt when INT_IN function is set."},{"ref":"PCA9641.Commands.html#interrupt_reason/1","title":"PCA9641.Commands.interrupt_reason/1","type":"function","doc":"Indicates the reasons for which an interrupt was generated (if any)."},{"ref":"PCA9641.Commands.html#interupt_in_interrupt/2","title":"PCA9641.Commands.interupt_in_interrupt/2","type":"function","doc":"INT_IN_INT Indicates that there is an interrupt from the downstream bus to both the granted and non-granted masters. false -&gt; No interrupt on interrupt input pin INT_IN. true -&gt; Interrupt on interrupt input pin INT_IN."},{"ref":"PCA9641.Commands.html#interupt_in_interrupt?/1","title":"PCA9641.Commands.interupt_in_interrupt?/1","type":"function","doc":"INT_IN_INT Indicates that there is an interrupt from the downstream bus to both the granted and non-granted masters. false -&gt; No interrupt on interrupt input pin INT_IN. true -&gt; Interrupt on interrupt input pin INT_IN."},{"ref":"PCA9641.Commands.html#lock_grant?/1","title":"PCA9641.Commands.lock_grant?/1","type":"function","doc":"LOCK_GRANT This is a status read only register bit. Lock grant status register bit indicates the ownership between reading master and the downstream bus. If this register bit is 1, the reading master has owned the downstream bus. If this register bit is zero, the reading master has not owned the downstream bus. false -&gt; This master does not have a lock on the downstream bus. true -&gt; This master has a lock on the downstream bus."},{"ref":"PCA9641.Commands.html#lock_grant_interrupt/2","title":"PCA9641.Commands.lock_grant_interrupt/2","type":"function","doc":"LOCK_GRANT_INT Indicates the master has a lock (ownership) on the downstream bus. false -&gt; No interrupt generated; this master does not have a lock on the downstream bus. true -&gt; Interrupt generated; this master has a lock on the downstream bus."},{"ref":"PCA9641.Commands.html#lock_grant_interrupt?/1","title":"PCA9641.Commands.lock_grant_interrupt?/1","type":"function","doc":"LOCK_GRANT_INT Indicates the master has a lock (ownership) on the downstream bus. false -&gt; No interrupt generated; this master does not have a lock on the downstream bus. true -&gt; Interrupt generated; this master has a lock on the downstream bus."},{"ref":"PCA9641.Commands.html#lock_grant_mask/2","title":"PCA9641.Commands.lock_grant_mask/2","type":"function","doc":"LOCK_GRANT_MSK false -&gt; Enable output interrupt when LOCK_GRANT function is set. true -&gt; Disable output interrupt when LOCK_GRANT function is set."},{"ref":"PCA9641.Commands.html#lock_grant_mask?/1","title":"PCA9641.Commands.lock_grant_mask?/1","type":"function","doc":"LOCK_GRANT_MSK false -&gt; Enable output interrupt when LOCK_GRANT function is set. true -&gt; Disable output interrupt when LOCK_GRANT function is set."},{"ref":"PCA9641.Commands.html#lock_request/2","title":"PCA9641.Commands.lock_request/2","type":"function","doc":"LOCK_REQ Lock request register bit is for a master requesting the downstream bus when it does not have a lock on downstream bus. When a master has a lock on downstream bus, it can give up the ownership by writing zero to LOCK_REQ register bit. When LOCK_REQ becomes zero, LOCK_GRANT bit becomes zero and the internal switch will be open. false -&gt; Master is not requesting a lock on the downstream bus or giving up the lock if master had a lock on the downstream bus. true -&gt; Master is requesting a lock on the downstream bus."},{"ref":"PCA9641.Commands.html#lock_request?/1","title":"PCA9641.Commands.lock_request?/1","type":"function","doc":"LOCK_REQ Lock request register bit is for a master requesting the downstream bus when it does not have a lock on downstream bus. When a master has a lock on downstream bus, it can give up the ownership by writing zero to LOCK_REQ register bit. When LOCK_REQ becomes zero, LOCK_GRANT bit becomes zero and the internal switch will be open. false -&gt; Master is not requesting a lock on the downstream bus or giving up the lock if master had a lock on the downstream bus. true -&gt; Master is requesting a lock on the downstream bus."},{"ref":"PCA9641.Commands.html#mailbox_empty?/1","title":"PCA9641.Commands.mailbox_empty?/1","type":"function","doc":"MBOX_EMPTY This is a read-only status register bit. If this bit is ‘0’, it indicates other master mailbox is full, and this master cannot send more data to other master mailbox. If it is ‘1’, it indicates other master is empty and this master can send data to other master mailbox. false -&gt; Other master mailbox is full; wait until other master reads data. true -&gt; Other master mailbox is empty. Other master has read previous data and it is permitted to write new data."},{"ref":"PCA9641.Commands.html#mailbox_empty_interrupt/2","title":"PCA9641.Commands.mailbox_empty_interrupt/2","type":"function","doc":"MBOX_EMPTY_INT Indicates the sent mail is empty, other master has read the mail. false -&gt; No interrupt generated; sent mail is not empty. true -&gt; Interrupt generated; mailbox is empty."},{"ref":"PCA9641.Commands.html#mailbox_empty_interrupt?/1","title":"PCA9641.Commands.mailbox_empty_interrupt?/1","type":"function","doc":"MBOX_EMPTY_INT Indicates the sent mail is empty, other master has read the mail. false -&gt; No interrupt generated; sent mail is not empty. true -&gt; Interrupt generated; mailbox is empty."},{"ref":"PCA9641.Commands.html#mailbox_empty_mask/2","title":"PCA9641.Commands.mailbox_empty_mask/2","type":"function","doc":"MBOX_EMPTY_MSK false -&gt; Enable output interrupt when MBOX_EMPTY function is set. true -&gt; Disable output interrupt when MBOX_EMPTY function is set."},{"ref":"PCA9641.Commands.html#mailbox_empty_mask?/1","title":"PCA9641.Commands.mailbox_empty_mask?/1","type":"function","doc":"MBOX_EMPTY_MSK false -&gt; Enable output interrupt when MBOX_EMPTY function is set. true -&gt; Disable output interrupt when MBOX_EMPTY function is set."},{"ref":"PCA9641.Commands.html#mailbox_full?/1","title":"PCA9641.Commands.mailbox_full?/1","type":"function","doc":"MBOX_FULL This is a read-only status register bit. If this bit is ‘0’, it indicates no data is available in the mail box. If it is ‘1’, it indicates new data is available in the mail box. false -&gt; No data is available for this master. true -&gt; Mailbox contains data for this master from the other master."},{"ref":"PCA9641.Commands.html#mailbox_full_interrupt/2","title":"PCA9641.Commands.mailbox_full_interrupt/2","type":"function","doc":"MBOX_FULL_INT Indicates the mailbox has new mail. false -&gt; No interrupt generated; mailbox is not full. true -&gt; Interrupt generated; mailbox full."},{"ref":"PCA9641.Commands.html#mailbox_full_interrupt?/1","title":"PCA9641.Commands.mailbox_full_interrupt?/1","type":"function","doc":"MBOX_FULL_INT Indicates the mailbox has new mail. false -&gt; No interrupt generated; mailbox is not full. true -&gt; Interrupt generated; mailbox full."},{"ref":"PCA9641.Commands.html#mailbox_full_mask/2","title":"PCA9641.Commands.mailbox_full_mask/2","type":"function","doc":"MBOX_FULL_MSK false -&gt; Enable output interrupt when MBOX_FULL function is set. true -&gt; Disable output interrupt when MBOX_FULL function is set."},{"ref":"PCA9641.Commands.html#mailbox_full_mask?/1","title":"PCA9641.Commands.mailbox_full_mask?/1","type":"function","doc":"MBOX_FULL_MSK false -&gt; Enable output interrupt when MBOX_FULL function is set. true -&gt; Disable output interrupt when MBOX_FULL function is set."},{"ref":"PCA9641.Commands.html#other_lock?/1","title":"PCA9641.Commands.other_lock?/1","type":"function","doc":"OTHER_LOCK This is a status read-only register bit. Other master lock status indicates the ownership between other master and the downstream bus. If this register bit is ‘1’, the other master has owned the downstream bus. If this register bit is ‘0’, the other master does not own the downstream bus. false -&gt; The other master does not have a lock on the downstream bus. true -&gt; The other master has a lock on the downstream bus."},{"ref":"PCA9641.Commands.html#priority/2","title":"PCA9641.Commands.priority/2","type":"function","doc":"PRIORITY Master can set this register bit for setting priority of the winner when two masters request the downstream bus at the same time."},{"ref":"PCA9641.Commands.html#priority?/1","title":"PCA9641.Commands.priority?/1","type":"function","doc":"PRIORITY Master can set this register bit for setting priority of the winner when two masters request the downstream bus at the same time."},{"ref":"PCA9641.Commands.html#read_mailbox/1","title":"PCA9641.Commands.read_mailbox/1","type":"function","doc":"Read shared mailbox."},{"ref":"PCA9641.Commands.html#request_downstream_bus/1","title":"PCA9641.Commands.request_downstream_bus/1","type":"function","doc":"Request access to downstream bus. Requests access to the downstream bus and blocks until given access."},{"ref":"PCA9641.Commands.html#request_downstream_bus/2","title":"PCA9641.Commands.request_downstream_bus/2","type":"function","doc":"Request access to downstream bus. Requests access to the downstream bus and blocks until given access."},{"ref":"PCA9641.Commands.html#reserve_time/1","title":"PCA9641.Commands.reserve_time/1","type":"function","doc":"RES_TIME Reserve timer. Changes during LOCK_GRANT = 1 will have no effect. Returns {:ok, n} where n is the number if milliseconds remaining in the reservation."},{"ref":"PCA9641.Commands.html#reserve_time/2","title":"PCA9641.Commands.reserve_time/2","type":"function","doc":"RES_TIME Reserve timer. Changes during LOCK_GRANT = 1 will have no effect. ms is the number of milliseconds remaining in the reservation."},{"ref":"PCA9641.Commands.html#scl_becomes_io/2","title":"PCA9641.Commands.scl_becomes_io/2","type":"function","doc":"SCL_IO SCL becomes I/O pin; master can read or write to this register bit. If master reads this bit, the value is the state of the downstream SCL pin. Zero value means SCL is LOW, and one means SCL pin is HIGH. When master writes ‘0’ to this register bit, the downstream SCL pin will assert LOW. If master writes‘1’ to this register bit, the downstream SCL pin will be pulled HIGH. Remark: SCL becomes I/O pin only when BUS_CONNECT = 0 and LOCK_GRANT = 1. false -&gt; When read, shows the SCL pin of the downstream bus is LOW. When written, PCA9641 drives SCL pin of downstream bus LOW. true -&gt; When read, shows the SCL pin of the downstream bus is HIGH. When written, PCA9641 drives SCL pin of the downstream bus HIGH."},{"ref":"PCA9641.Commands.html#scl_becomes_io?/1","title":"PCA9641.Commands.scl_becomes_io?/1","type":"function","doc":"SCL_IO SCL becomes I/O pin; master can read or write to this register bit. If master reads this bit, the value is the state of the downstream SCL pin. Zero value means SCL is LOW, and one means SCL pin is HIGH. When master writes ‘0’ to this register bit, the downstream SCL pin will assert LOW. If master writes‘1’ to this register bit, the downstream SCL pin will be pulled HIGH. Remark: SCL becomes I/O pin only when BUS_CONNECT = 0 and LOCK_GRANT = 1. false -&gt; When read, shows the SCL pin of the downstream bus is LOW. When written, PCA9641 drives SCL pin of downstream bus LOW. true -&gt; When read, shows the SCL pin of the downstream bus is HIGH. When written, PCA9641 drives SCL pin of the downstream bus HIGH."},{"ref":"PCA9641.Commands.html#sda_becomes_io/2","title":"PCA9641.Commands.sda_becomes_io/2","type":"function","doc":"SDA_IO SDA becomes I/O pin; master can read or write to this register bit. If master reads this bit, the value is the state of the downstream SDA pin. Zero value means SDA is LOW, and one means SDA pin is HIGH. When master writes ‘0’ to this register bit, the downstream SDA pin will assert LOW. If master writes‘1’ to this register bit, the downstream SDA pin will be pulled HIGH. Remark: SDA becomes I/O pin only when BUS_CONNECT = 0 and LOCK_GRANT = 1. false -&gt; When read, indicates the SDA pin of the downstream bus is LOW. When written, PCA9641 drives SDA pin of downstream bus LOW. true -&gt; When read, indicates the SDA pin of the downstream bus is HIGH. When written, PCA9641 drives SDA pin of the downstream bus HIGH."},{"ref":"PCA9641.Commands.html#sda_becomes_io?/1","title":"PCA9641.Commands.sda_becomes_io?/1","type":"function","doc":"SDA_IO SDA becomes I/O pin; master can read or write to this register bit. If master reads this bit, the value is the state of the downstream SDA pin. Zero value means SDA is LOW, and one means SDA pin is HIGH. When master writes ‘0’ to this register bit, the downstream SDA pin will assert LOW. If master writes‘1’ to this register bit, the downstream SDA pin will be pulled HIGH. Remark: SDA becomes I/O pin only when BUS_CONNECT = 0 and LOCK_GRANT = 1. false -&gt; When read, indicates the SDA pin of the downstream bus is LOW. When written, PCA9641 drives SDA pin of downstream bus LOW. true -&gt; When read, indicates the SDA pin of the downstream bus is HIGH. When written, PCA9641 drives SDA pin of the downstream bus HIGH."},{"ref":"PCA9641.Commands.html#smbus_software_reset/2","title":"PCA9641.Commands.smbus_software_reset/2","type":"function","doc":"SMBUS_SWRST Non-granted or granted master sends a soft reset, if this bit is set, PCA9641 sets clock LOW for 35 ms following reset of all register values to defaults. false -&gt; Normal operation. true -&gt; Enable sending SMBus time-out to downstream bus, after receiving a general call soft reset from master."},{"ref":"PCA9641.Commands.html#smbus_software_reset?/1","title":"PCA9641.Commands.smbus_software_reset?/1","type":"function","doc":"SMBUS_SWRST Non-granted or granted master sends a soft reset, if this bit is set, PCA9641 sets clock LOW for 35 ms following reset of all register values to defaults. false -&gt; Normal operation. true -&gt; Enable sending SMBus time-out to downstream bus, after receiving a general call soft reset from master."},{"ref":"PCA9641.Commands.html#test_interrupt_mask?/1","title":"PCA9641.Commands.test_interrupt_mask?/1","type":"function","doc":"TEST_INT_MSK false -&gt; Enable output interrupt when TEST_INT function is set. true -&gt; Disable output interrupt when TEST_INT function is set."},{"ref":"PCA9641.Commands.html#test_interrupt_mask?/2","title":"PCA9641.Commands.test_interrupt_mask?/2","type":"function","doc":"TEST_INT_MSK false -&gt; Enable output interrupt when TEST_INT function is set. true -&gt; Disable output interrupt when TEST_INT function is set."},{"ref":"PCA9641.Commands.html#test_interrupt_pin/2","title":"PCA9641.Commands.test_interrupt_pin/2","type":"function","doc":"TEST_INT Test interrupt output pin; a master can send an interrupt to itself by writing ‘1’ to this register bit. Writing ‘0’ to this register bit has no effect. To clear this interrupt, master must write ‘1’ to TEST_INT_INT in Interrupt Status register. false -&gt; Normal operation. true -&gt; Causes PCA9641 INT pin to go LOW if not masked by TEST_INT_INT in Interrupt Mask register. Allows this master to invoke its Interrupt Service Routine to handle housekeeping tasks."},{"ref":"PCA9641.Commands.html#test_interrupt_pin_interrupt/2","title":"PCA9641.Commands.test_interrupt_pin_interrupt/2","type":"function","doc":"TEST_INT_INT Indicates this master has sent an interrupt to itself. false -&gt; No interrupt generated; master has not set the TEST_INT bit in STATUS register. true -&gt; Interrupt generated; master activates its interrupt pin via the TEST_INT bit in STATUS register."},{"ref":"PCA9641.Commands.html#test_interrupt_pin_interrupt?/1","title":"PCA9641.Commands.test_interrupt_pin_interrupt?/1","type":"function","doc":"TEST_INT_INT Indicates this master has sent an interrupt to itself. false -&gt; No interrupt generated; master has not set the TEST_INT bit in STATUS register. true -&gt; Interrupt generated; master activates its interrupt pin via the TEST_INT bit in STATUS register."},{"ref":"PCA9641.Commands.html#write_mailbox/2","title":"PCA9641.Commands.write_mailbox/2","type":"function","doc":"Write shared mailbox."},{"ref":"PCA9641.Commands.html#t:interrupt_reason/0","title":"PCA9641.Commands.interrupt_reason/0","type":"type","doc":""},{"ref":"PCA9641.Device.html","title":"PCA9641.Device","type":"module","doc":"A process to represent a single PCA9641 device."},{"ref":"PCA9641.Device.html#acquire_bus/1","title":"PCA9641.Device.acquire_bus/1","type":"function","doc":"Acquire a lock on the downstream bus."},{"ref":"PCA9641.Device.html#release_bus/1","title":"PCA9641.Device.release_bus/1","type":"function","doc":"Release the lock on the downstream bus."},{"ref":"PCA9641.Device.html#t:device_name/0","title":"PCA9641.Device.device_name/0","type":"type","doc":""},{"ref":"PCA9641.Registers.html","title":"PCA9641.Registers","type":"module","doc":"This module provides a wrapper around the PCA9641 registers described in NXP&#39;s datasheet. Don&#39;t access these directly unless you know what you&#39;re doing. It&#39;s better to use the Commands module instead."},{"ref":"PCA9641.Registers.html#control/1","title":"PCA9641.Registers.control/1","type":"function","doc":"Register 1: Control. 1 byte. RW."},{"ref":"PCA9641.Registers.html#control/2","title":"PCA9641.Registers.control/2","type":"function","doc":""},{"ref":"PCA9641.Registers.html#id/1","title":"PCA9641.Registers.id/1","type":"function","doc":"Register 0: ID Register. 1 byte. RO."},{"ref":"PCA9641.Registers.html#interrupt_mask/1","title":"PCA9641.Registers.interrupt_mask/1","type":"function","doc":"Register 5: Interrupt Mask Register. 1 byte. RW."},{"ref":"PCA9641.Registers.html#interrupt_mask/2","title":"PCA9641.Registers.interrupt_mask/2","type":"function","doc":""},{"ref":"PCA9641.Registers.html#interrupt_status/1","title":"PCA9641.Registers.interrupt_status/1","type":"function","doc":"Register 4: Interrupt Status Register. 1 byte. RW."},{"ref":"PCA9641.Registers.html#interrupt_status/2","title":"PCA9641.Registers.interrupt_status/2","type":"function","doc":""},{"ref":"PCA9641.Registers.html#mailbox/1","title":"PCA9641.Registers.mailbox/1","type":"function","doc":"Register 6 (and 7): Mailbox. 2 bytes. RW."},{"ref":"PCA9641.Registers.html#mailbox/2","title":"PCA9641.Registers.mailbox/2","type":"function","doc":""},{"ref":"PCA9641.Registers.html#reserve_time/1","title":"PCA9641.Registers.reserve_time/1","type":"function","doc":"Register 3: Reserve Time. 1 byte. RW."},{"ref":"PCA9641.Registers.html#reserve_time/2","title":"PCA9641.Registers.reserve_time/2","type":"function","doc":""},{"ref":"PCA9641.Registers.html#status/1","title":"PCA9641.Registers.status/1","type":"function","doc":"Register 2: Status. 1 byte. RO."}]